#ifndef DBUSINTERFACE_H
#define DBUSINTERFACE_H

#include <QObject>
#include "mainwindow.h"


class DBusInterface : public QObject
{
    Q_OBJECT
public:
    explicit DBusInterface(QObject *parent = nullptr);

    void setMainWindow(MainWindow *window) { _mainWindow = window; };

public slots:
    void quit();
    void setURL(const QString &url);

signals:
private:
    MainWindow* _mainWindow{nullptr};
};

#endif // DBUSINTERFACE_H
