#include "dbusinterface.h"
#include <QCoreApplication>
#include <QDebug>
#include <QUrl>


DBusInterface::DBusInterface(QObject *parent) : QObject{parent} {


}

void DBusInterface::quit() {
    qInfo() << "Quitting";
    QCoreApplication::quit();
}


void DBusInterface::setURL(const QString &url) {
    if (_mainWindow) {
        qInfo() << "Setting URL to" << url;
        _mainWindow->slotSetUrl(QUrl(url));
    } else {
        qWarning() << "Can't set URL, no window reference";
    }
}
